Bug 35983 - UCS 4.0 and samba Apps
UCS 4.0 and samba Apps
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: App Center
UCS 3.2
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Arvid Requate
Stefan Gohmann
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-09-23 12:20 CEST by Stefan Gohmann
Modified: 2014-11-26 06:55 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2014-09-23 12:20:49 CEST
With UCS 4 all Apps of all system roles will be shown in one App Center. We should adapt the Samba 4 Apps. I think we can always install the s4-connector on slave systems.

We should also rename the Samba Fileserver App to be clear. Maybe mameberserver could be included into the App name?
Comment 1 Arvid Requate univentionstaff 2014-10-22 14:55:44 CEST
* The samba4 app ini file has been adjusted to allow domaincontroller_slave

* The samba4-slave ini file has been removed, so the App duplication is gone.

* The "Name" in samba-memberserver.ini  has been adjusted to
  "Windows-compatible Memberserver" the description remains unchanged:
  "Windows-compatible file/print server based on Samba 3"
Comment 2 Arvid Requate univentionstaff 2014-10-22 18:27:10 CEST
Additionally univention-samba4 has been adjusted to make the joinscript fail
on a DC Slave if no S4 Connector service is registered by a DC Master or DC Backup. This can be overridden by setting samba4/provision/secondary=yes (for UCS@school).
Comment 3 Stefan Gohmann univentionstaff 2014-10-30 08:11:09 CET
I've also removed the directory 
 appcenter*/univention-repository/4.0/maintained/component/samba4-slave
I contained README_UNINSALL files.

OK, everything else looks good.

Changelog: OK
Comment 4 Stefan Gohmann univentionstaff 2014-11-26 06:55:24 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".